HDY_20071/Controllers/OrdersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using HDY_20071.Data;
using HDY_20071.Models;
using Newtonsoft.Json;

namespace HDY_20071.Controllers
{
    public class OrdersController : Controller
    {
        private AppDb db = new AppDb();

        // GET: Orders
        public ActionResult Index()
        {
            var orders = db.Orders.Include(o => o.customers).Include(o => o.employees).Include(o => o.shippers);
            return View(orders.ToList());
        }

        // GET: Orders/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);

            var order = db.Orders.Include(o => o.OrderItem).Include(o => o.customers).Include(o => o.employees).Include(o => o.shippers
            )
                .FirstOrDefault(o => o.OrderID == id);


            ViewBag.Products = new SelectList(db.Products, "ProductID", "ProductName", "-- Please select --");
            ViewBag.Products1 = new SelectList(db.Products, "ProductID", "UnitPrice", "-- Please select --");
            ViewBag.Product = JsonConvert.SerializeObject(db.Products.ToList());


            if (order == null) return HttpNotFound();

            return View(order);
        }
        [HttpGet]
        public ActionResult GetOrderDetail(int id)
        {

            var o = db.Orders.Find(id);

            if (o == null) return HttpNotFound();

            return PartialView(o);
        }
        [HttpPost]
        public ActionResult AddOrderDetail(int id, OrderDetail item)
        {
            var o = db.Orders.Find(id);
            if (o == null) return HttpNotFound();

            var p = db.Products.Find(item.ProductId);
            if (p == null) return HttpNotFound();

            OrderDetail itm = o.OrderItem.FirstOrDefault(r => r.Products == p);
            var od = new OrderDetail();

            if (itm != null)
            {
                od = itm;
                od.Quantity += item.Quantity;
                od.UnitPrice = p.UnitPrice;
            }
            else
            {
                od = new OrderDetail();
                od.Products = p;
                od.UnitPrice = p.UnitPrice;
                od.Quantity = item.Quantity;
            }



            o.OrderItem.Add(od);

            db.SaveChanges();

            var res = new
            {
                success = "success"
            };

            return Json(res);
        }

        // GET: Orders/Create
        public ActionResult Create()
        {
            ViewBag.CustomerId = new SelectList(db.Customers, "CustomerId", "CompanyName");
            ViewBag.EmployeeId = new SelectList(db.Employees, "EmployeeId", "LastName");
            ViewBag.Shipvia = new SelectList(db.Shippers, "Shipvia", "CompanyName");
            return View();
        }

        // POST: Orders/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        //[ValidateAntiForgeryToken]
        [Route("{controller}/create/{customerId}")]
        //public ActionResult Create([Bind(Include = "OrderId,OrderDate,RequiredDate,ShippedDate,Freight,ShipName,ShipAddress,ShipCity,ShipRegion,ShipPostalCode,ShipCountry,CustomerId,EmployeeId,ShipperId")] Order order)
        public ActionResult Create(int id, Orders order)
        {
            if (ModelState.IsValid)
            {
                //db.Orders.Add(order);
                var c = db.Customers.Find(id);
                c.Orders.Add(order);
                db.SaveChanges();
                //return RedirectToAction("Index");
                return RedirectToAction(nameof(Details), new { id = order.OrderID });
            }
            return RedirectToAction(nameof(Index), "Customers");
            //ViewBag.CustomerId = new SelectList(db.Customers, "CustomerId", "CompanyName", order.CustomerId);
            //ViewBag.EmployeeId = new SelectList(db.Employees, "EmployeeId", "LastName", order.EmployeeId);
            //ViewBag.ShipperId = new SelectList(db.Shippers, "ShipperId", "CompanyName", order.ShipperId);
            //return View(order);
        }

        // GET: Orders/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Orders orders = db.Orders.Find(id);
            if (orders == null)
            {
                return HttpNotFound();
            }
            ViewBag.CustomerId = new SelectList(db.Customers, "CustomerId", "CompanyName", orders.CustomerId);
            ViewBag.EmployeeId = new SelectList(db.Employees, "EmployeeId", "LastName", orders.EmployeeId);
            ViewBag.Shipvia = new SelectList(db.Shippers, "Shipvia", "CompanyName", orders.Shipvia);
            return View(orders);
        }

        // POST: Orders/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "OrderID,OrderDate,RequiredDate,ShippedDate,Freight,ShipName,ShipAddress,ShipCity,ShipRegion,ShipPostalCode,ShipCountry,CustomerId,EmployeeId,Shipvia")] Orders orders)
        {
            if (ModelState.IsValid)
            {
                db.Entry(orders).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.CustomerId = new SelectList(db.Customers, "CustomerId", "CompanyName", orders.CustomerId);
            ViewBag.EmployeeId = new SelectList(db.Employees, "EmployeeId", "LastName", orders.EmployeeId);
            ViewBag.Shipvia = new SelectList(db.Shippers, "Shipvia", "CompanyName", orders.Shipvia);
            return View(orders);
        }

        // GET: Orders/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Orders orders = db.Orders.Find(id);
            if (orders == null)
            {
                return HttpNotFound();
            }
            return View(orders);
        }

        // POST: Orders/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Orders orders = db.Orders.Find(id);
            db.Orders.Remove(orders);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

HDY_20071/Controllers/ProductsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Security.Cryptography;
using System.Web;
using System.Web.Mvc;
using HDY_20071.Data;
using HDY_20071.Models;

namespace HDY_20071.Controllers
{
    public class ProductsController : Controller
    {
        
        private AppDb db = new AppDb();

        // GET: Products
        public ActionResult Index()
        {
            var products = db.Products.Include(p => p.category).Include(p => p.supplier);
            return View(products.ToList());
        }

        public ActionResult Main()
        {
            var products = db.Products.Include(p => p.category).Include(p => p.supplier);
            return View(products.ToList());
        }

        // GET: Products/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Products products = db.Products.Find(id);
            if (products == null)
            {
                return HttpNotFound();
            }
            return View(products);
        }

        // GET: Products/Create
        public ActionResult Create()
        {
            ViewBag.CategoryId = new SelectList(db.Categories, "CategoryId", "CategoryName");
            ViewBag.SupplierId = new SelectList(db.Suppliers, "SupplierID", "CompanyName");
            return View();
        }

        // POST: Products/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "ProductId,ProductName,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReoderLevel,Discontinued,ImgePath,CreateBy,CreateDate,CategoryId,SupplierId")] Products products)
        {
            if (ModelState.IsValid)
            {
                db.Products.Add(products);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.CategoryId = new SelectList(db.Categories, "CategoryId", "CategoryName", products.CategoryId);
            ViewBag.SupplierId = new SelectList(db.Suppliers, "SupplierID", "CompanyName", products.SupplierId);
            return View(products);
        }

        // GET: Products/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Products products = db.Products.Find(id);
            if (products == null)
            {
                return HttpNotFound();
            }
            ViewBag.CategoryId = new SelectList(db.Categories, "CategoryId", "CategoryName", products.CategoryId);
            ViewBag.SupplierId = new SelectList(db.Suppliers, "SupplierID", "CompanyName", products.SupplierId);
            return View(products);
        }

        // POST: Products/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ProductId,ProductName,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReoderLevel,Discontinued,ImgePath,CreateBy,CreateDate,CategoryId,SupplierId")] Products products)
        {
            if (ModelState.IsValid)
            {
                db.Entry(products).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.CategoryId = new SelectList(db.Categories, "CategoryId", "CategoryName", products.CategoryId);
            ViewBag.SupplierId = new SelectList(db.Suppliers, "SupplierID", "CompanyName", products.SupplierId);
            return View(products);
        }

        // GET: Products/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Products products = db.Products.Find(id);
            if (products == null)
            {
                return HttpNotFound();
            }
            return View(products);
        }

        // POST: Products/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Products products = db.Products.Find(id);
            db.Products.Remove(products);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

HDY_20071/Controllers/ShippersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using HDY_20071.Data;
using HDY_20071.Models;

namespace HDY_20071.Controllers
{
    public class ShippersController : Controller
    {
        private AppDb db = new AppDb();

        // GET: Shippers
        public ActionResult Index()
        {
            return View(db.Shippers.ToList());
        }

        // GET: Shippers/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Shippers shippers = db.Shippers.Find(id);
            if (shippers == null)
            {
                return HttpNotFound();
            }
            return View(shippers);
        }

        // GET: Shippers/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Shippers/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Shipvia,CompanyName,Phone")] Shippers shippers)
        {
            if (ModelState.IsValid)
            {
                db.Shippers.Add(shippers);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(shippers);
        }

        // GET: Shippers/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Shippers shippers = db.Shippers.Find(id);
            if (shippers == null)
            {
                return HttpNotFound();
            }
            return View(shippers);
        }

        // POST: Shippers/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Shipvia,CompanyName,Phone")] Shippers shippers)
        {
            if (ModelState.IsValid)
            {
                db.Entry(shippers).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(shippers);
        }

        // GET: Shippers/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Shippers shippers = db.Shippers.Find(id);
            if (shippers == null)
            {
                return HttpNotFound();
            }
            return View(shippers);
        }

        // POST: Shippers/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Shippers shippers = db.Shippers.Find(id);
            db.Shippers.Remove(shippers);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

HDY_20071/Views/Shared/_Layout.cshtml
@using Microsoft.AspNet.Identity
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title E-commerce</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>


</head>

<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("E-commerce", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">

                }
                @if (Request.IsAuthenticated)
                {
                    if (User.Identity.GetUserName() == "Admin@gmail.com")
                    {
                        <ul class="nav navbar-nav">
                            <li class="dropdown">
                                <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">จัดการสินค้า<span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li>@Html.ActionLink("ประเภทสินค้า", "Index", "Categories")</li>
                                    <li>@Html.ActionLink("สินค้า", "Index", "Products")</li>
                                    <li>@Html.ActionLink("ผู้จัดจำหน่าย", "Index", "Suppliers")</li>
                                </ul>
                            </li>
                            <li class="dropdown">
                                <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">รายการสั่งซื้อ<span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li>@Html.ActionLink("รายการสั่งซื้อ", "Index", "Orders")</li>
                                    <li>@Html.ActionLink("รายละเอียดการสั่งซื้อ", "Index", "OrderDetails")</li>
                                </ul>
                            </li>
                            <li>@Html.ActionLink("ซื้อสินค้า", "Main", "Products")</li>
                            <li>@Html.ActionLink("ลูกค้า", "Index", "Customers")</li>
                            <li>@Html.ActionLink("พนักงาน", "Index", "Employees")</li>

                            @*<li>@Html.ActionLink("บริษัทขนส่ง", "Index", "Shippers")</li>*@

                        </ul>
                        @Html.Partial("_ShoppingCart")
                    }
                    <ul class="nav navbar-nav">
                       
                      
                        <li>@Html.ActionLink("ซื้อสินค้า", "Main", "Products")</li>
               

                        
                    </ul>
                    @Html.Partial("_ShoppingCart")

                    //Here show the navigation menu
                }
                else
                {


                    //here hide the navigation menu
                }




                @Html.Partial("_LoginPartial")

            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />

    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)


</body>
</html>

HDY_20071/Views/Shared/_ShoppingCart.cshtml
<ul class="nav navbar-nav navbar-right">
    <li>
        @Html.ActionLink("Cart","ShoppingCart","Shopping")    
    </li>
</ul>